import { OnDestroy, OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material';
import { BehaviorSubject } from 'rxjs';
import { PropertyMetadataClass } from './components-metadata/property.metadata.class';
import { OComponentData } from './ontimize-components-data/o-component-data.class';
export declare class ComponentSettingsDialogComponent implements OnInit, OnDestroy {
    dialogRef: MatDialogRef<ComponentSettingsDialogComponent>;
    component: OComponentData;
    templateInputsData: {};
    formGroup: FormGroup;
    formDataCache: Object;
    componentInputs$: BehaviorSubject<string[]>;
    constructor(dialogRef: MatDialogRef<ComponentSettingsDialogComponent>);
    ngOnInit(): void;
    ngOnDestroy(): void;
    registerFormControlComponent(comp: PropertyMetadataClass): void;
    unregisterFormControlComponent(comp: PropertyMetadataClass): void;
    setTemplateInputsData(inputsData: any): void;
    setComponent(component: OComponentData): void;
    save(): void;
    cancel(): void;
    getInputData(inputName: any): any;
    comparePropertyType(prop: any, type: any): boolean;
}
